$(document).ready(function () {
    // 최초 요청
    callBoardListApiRequest();

    $('#boardTable').delegate("tr", "click", function(){
        var artiId = $(this).children().eq(1).text();
        location.href = "/clfd/bod/notice/dtl.do?artiId="+artiId;
    })

    $('#prevBtn').click(function () {
        if (boardListService.setSearchOptionToPrev()) {
            callBoardListApiRequest();
        } else {
            alert("이전페이지가 없습니다.");
        }
    })

    $('#nextBtn').click(function () {
        if(boardListService.setSearchOptionToNext()) {
            callBoardListApiRequest();
        } else {
            alert("다음페이지가 없습니다.");
        }
    })

    // 서버로부터 게시물 리스트 데이터를 받아옴
    function callBoardListApiRequest() {
        boardListService.boardListApi({
            scb : function (res) {
                boardListService.drawBoardList($("#boardTable"));
            },
            ecb : function (res) {
                alert(res.message);
            }
        });
    }
})
